package textures.player.items.crudepickaxe;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudePickaxeIdleTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.crudePickaxeSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.crudePickaxeSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.crudePickaxeSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.crudePickaxeSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);

		/*** NORTH IDLE ***/
		Textures.crudePickaxeSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.crudePickaxeSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.crudePickaxeSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.crudePickaxeSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);

		/*** WEST IDLE ***/
		Textures.crudePickaxeSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.crudePickaxeSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.crudePickaxeSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.crudePickaxeSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);

		/*** EAST IDLE ***/
		Textures.crudePickaxeSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.crudePickaxeSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.crudePickaxeSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.crudePickaxeSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);

		/*** NORTHWEST IDLE ***/
		Textures.crudePickaxeSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.crudePickaxeSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.crudePickaxeSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.crudePickaxeSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);

		/*** NORTHEAST IDLE ***/
		Textures.crudePickaxeSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.crudePickaxeSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.crudePickaxeSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.crudePickaxeSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);

		/*** SOUTHWEST IDLE ***/
		Textures.crudePickaxeSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.crudePickaxeSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.crudePickaxeSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.crudePickaxeSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);

		/*** SOUTHEAST IDLE ***/
		Textures.crudePickaxeSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.crudePickaxeSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.crudePickaxeSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.crudePickaxeSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
